Bug 1159965 - Review Request: python-deltasigma - Package to create Delta Sigma modulators
Summary: Review Request: python-deltasigma - Package to create Delta Sigma modulators
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-03 18:22 UTC by Kiara Navarro
Modified: 2014-11-15 09:05 UTC (History)
2 users (show)

Fixed In Version: python-deltasigma-0.1-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-12 02:40:11 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kiara Navarro 2014-11-03 18:22:46 UTC
Spec URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma.spec
SRPM URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma-0.1-1.fc20.src.rpm
Description: The python-deltasigma is a Python package to synthesize, simulate, scale and map to implementable topologies Delta Sigma modulators.
Fedora Account System Username: sophiekovalevsky

Comment 1 Kiara Navarro 2014-11-03 18:32:58 UTC
➜  SPECS  rpmlint -v python-deltasigma.spec 
python-deltasigma.spec: I: checking
python-deltasigma.spec: I: checking-url https://github.com/ggventurini/python-deltasigma/archive/f3ca64c6d6a6c83172cb951a2f4643494e3a93b4/python-deltasigma-f3ca64c6d6a6c83172cb951a2f4643494e3a93b4.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


➜  SPECS  rpmlint -v ../SRPMS/python-deltasigma-0.1-1.fc20.src.rpm
python-deltasigma.src: I: checking
python-deltasigma.src: W: name-repeated-in-summary C python-deltasigma
python-deltasigma.src: W: spelling-error %description -l en_US topologies -> typologies, topological
python-deltasigma.src: I: checking-url http://github.com/ggventurini/python-deltasigma (timeout 10 seconds)
python-deltasigma.src: I: checking-url http://github.com/ggventurini/python-deltasigma/archive/f3ca64c6d6a6c83172cb951a2f4643494e3a93b4/python-deltasigma-f3ca64c6d6a6c83172cb951a2f4643494e3a93b4.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Florian "der-flo" Lehner 2014-11-03 19:13:02 UTC
hi Sophie!

Unfortunately your package doesn't build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8018077

Please take a look at https://fedoraproject.org/wiki/Packaging:Python#BuildRequires to fix the BuildRequires and provice the package for python2 and python3.

Cheers,
 Flo

Comment 3 Kiara Navarro 2014-11-03 20:04:02 UTC
Hi Florian =) 
You're right. I made a error typo. I've fixed. 

Try to check again.

Spec URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma.spec
SRPM URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma-0.1-2.fc20.src.rpm


Thanks.

Comment 4 Kiara Navarro 2014-11-03 23:24:39 UTC
I've made an additional change to the package. 

This is the latest version:

Spec URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma.spec
SRPM URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma-0.1-3.fc20.src.rpm

Comment 5 Florian "der-flo" Lehner 2014-11-04 16:56:21 UTC
Hi Kiara!

There are still some issues. The Requires are wrong.
Could you please provide an python3-package, too?

Cheers,
 Flo

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[ ] Package installs properly.
    Note: Installation errors (see attachment)
    See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 160 files have unknown license. Detailed output
     of licensecheck in /home/flo/review/1159965-python-
     deltasigma/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

   ---> I think you need the following packages:
         - python-matplotlib / python3-matplotlib
         - scipy / python3-scipy

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8027456
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.41 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.41
INFO: Mock Version: 1.1.41
Start: lock buildroot
INFO: installing package(s): /home/flo/review/1159965-python-deltasigma/results/python-deltasigma-0.1-3.fc22.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '22', 'install', '/home/flo/review/1159965-python-deltasigma/results/python-deltasigma-0.1-3.fc22.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: python-deltasigma-0.1-3.fc22.noarch (/python-deltasigma-0.1-3.fc22.noarch)
           Requires: matplotlib >= 1.1.1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: python-deltasigma-0.1-3.fc22.noarch.rpm
          python-deltasigma-0.1-3.fc22.src.rpm
python-deltasigma.noarch: W: name-repeated-in-summary C python-deltasigma
python-deltasigma.noarch: W: spelling-error %description -l en_US topologies -> typologies, topological
python-deltasigma.src: W: name-repeated-in-summary C python-deltasigma
python-deltasigma.src: W: spelling-error %description -l en_US topologies -> typologies, topological
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Requires
--------
python-deltasigma (rpmlib, GLIBC filtered):
    matplotlib
    numpy
    python(abi)
    scipy



Provides
--------
python-deltasigma:
    python-deltasigma



Source checksums
----------------
http://github.com/ggventurini/python-deltasigma/archive/f3ca64c6d6a6c83172cb951a2f4643494e3a93b4/python-deltasigma-f3ca64c6d6a6c83172cb951a2f4643494e3a93b4.tar.gz :
  CHECKSUM(SHA256) this package     : fb2892ba0f91101ad9a2cae536770572d4b17e2b77c8d418b792cab7d3125503
  CHECKSUM(SHA256) upstream package : fb2892ba0f91101ad9a2cae536770572d4b17e2b77c8d418b792cab7d3125503


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1159965
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Kiara Navarro 2014-11-04 19:18:05 UTC
Hi Florian, there are some changes.

I've upload the spec to work with python3.

At this momentos I won't packaging for EPEL versions.

Spec URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma.spec
SRPM URL: https://sophiekovalevsky.fedorapeople.org/RPM/deltasigma/python-deltasigma-0.1-4.fc20.src.rpm

Comment 7 Florian "der-flo" Lehner 2014-11-04 20:19:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 160 files have unknown license. Detailed output
     of licensecheck in /home/flo/review/1159965-python-
     deltasigma/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.

   ---> rpmlint shows an error because of python3-matplotlib.
        This is because rpmlint checks for the lib in the name of the Requires.
        So this is ok and is not an issue.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-deltasigma
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8030402
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-deltasigma-0.1-4.fc22.noarch.rpm
          python3-deltasigma-0.1-4.fc22.noarch.rpm
          python-deltasigma-0.1-4.fc22.src.rpm
python-deltasigma.noarch: W: spelling-error %description -l en_US topologies -> typologies, topological
python3-deltasigma.noarch: E: explicit-lib-dependency python3-matplotlib
python3-deltasigma.noarch: W: name-repeated-in-summary C python3-deltasigma
python3-deltasigma.noarch: W: spelling-error %description -l en_US topologies -> typologies, topological
python-deltasigma.src: W: spelling-error %description -l en_US topologies -> typologies, topological
3 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-deltasigma python3-deltasigma
python-deltasigma.noarch: W: spelling-error %description -l en_US topologies -> typologies, topological
python3-deltasigma.noarch: E: explicit-lib-dependency python3-matplotlib
python3-deltasigma.noarch: W: name-repeated-in-summary C python3-deltasigma
python3-deltasigma.noarch: W: spelling-error %description -l en_US topologies -> typologies, topological
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-deltasigma (rpmlib, GLIBC filtered):
    Cython
    numpy
    python(abi)
    python-matplotlib
    scipy

python3-deltasigma (rpmlib, GLIBC filtered):
    python(abi)
    python3-Cython
    python3-matplotlib
    python3-numpy
    python3-scipy



Provides
--------
python-deltasigma:
    python-deltasigma

python3-deltasigma:
    python3-deltasigma



Source checksums
----------------
http://github.com/ggventurini/python-deltasigma/archive/f3ca64c6d6a6c83172cb951a2f4643494e3a93b4/python-deltasigma-f3ca64c6d6a6c83172cb951a2f4643494e3a93b4.tar.gz :
  CHECKSUM(SHA256) this package     : fb2892ba0f91101ad9a2cae536770572d4b17e2b77c8d418b792cab7d3125503
  CHECKSUM(SHA256) upstream package : fb2892ba0f91101ad9a2cae536770572d4b17e2b77c8d418b792cab7d3125503


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1159965
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 8 Kiara Navarro 2014-11-04 23:49:43 UTC
New Package SCM Request
=======================
Package Name: python-deltasigma
Short Description: The python2-deltasigma is a package that simulate Delta Sigma modulators.
Owners: sophiekovalevsky
Branches: f19 f20 f21
InitialCC:

Comment 9 Gwyn Ciesla 2014-11-05 12:18:28 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-11-05 19:55:58 UTC
python-deltasigma-0.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-deltasigma-0.1-4.fc21

Comment 11 Fedora Update System 2014-11-05 19:56:44 UTC
python-deltasigma-0.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-deltasigma-0.1-4.fc19

Comment 12 Fedora Update System 2014-11-05 19:57:17 UTC
python-deltasigma-0.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-deltasigma-0.1-4.fc20

Comment 13 Fedora Update System 2014-11-05 20:08:50 UTC
python-deltasigma-0.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-deltasigma-0.1-4.fc20

Comment 14 Fedora Update System 2014-11-05 20:08:56 UTC
python-deltasigma-0.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-deltasigma-0.1-4.fc21

Comment 15 Fedora Update System 2014-11-05 20:08:57 UTC
python-deltasigma-0.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-deltasigma-0.1-4.fc19

Comment 16 Fedora Update System 2014-11-07 02:30:43 UTC
python-deltasigma-0.1-4.fc19 has been pushed to the Fedora 19 testing repository.

Comment 17 Fedora Update System 2014-11-12 02:40:11 UTC
python-deltasigma-0.1-4.fc21 has been pushed to the Fedora 21 stable repository.

Comment 18 Fedora Update System 2014-11-15 09:05:41 UTC
python-deltasigma-0.1-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 19 Fedora Update System 2014-11-15 09:05:47 UTC
python-deltasigma-0.1-4.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.